import { BaseRpcContext } from '@nestjs/microservices/ctx-host/base-rpc.context';
import { Message } from 'nsqjs';
import { NSQPattern } from './pattern';
type NSQContextArgs = [Message, NSQPattern];
export declare class NSQContext extends BaseRpcContext<NSQContextArgs> {
    get message(): Message;
    get pattern(): NSQPattern;
}
export {};
