"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Deferred = void 0;
class Deferred {
    constructor() {
        this.promise = new Promise((res, rej) => {
            this._resolve = res;
            this._reject = rej;
        });
    }
    get resolve() {
        return this._resolve;
    }
    get reject() {
        return this._reject;
    }
}
exports.Deferred = Deferred;
//# sourceMappingURL=deferred.js.map