export declare class NSQPattern {
    readonly topic: string;
    readonly channel: string;
    readonly discard: boolean;
    static readonly DELIMITER = "/";
    static readonly DISCARD_SUFFIX = "discard";
    static parse(pattern: unknown): NSQPattern | null;
    constructor(topic: string, channel: string, discard?: boolean);
    toString(skipDiscard?: boolean): string;
}
