/// <reference types="node" />
import { ConsumerDeserializer, ProducerSerializer, IncomingEvent, OutgoingEvent } from '@nestjs/microservices';
import { Message } from 'nsqjs';
export declare class JSONDeserializer implements ConsumerDeserializer {
    deserialize(value: Message, opts: {
        pattern: string;
    }): IncomingEvent;
}
export declare class JSONSerializer implements ProducerSerializer {
    serialize(value: OutgoingEvent): Buffer;
}
export declare class StringDeserializer implements ConsumerDeserializer {
    deserialize(value: Message, opts: {
        pattern: string;
    }): IncomingEvent;
}
export declare class StringSerializer implements ProducerSerializer {
    serialize(value: OutgoingEvent): Buffer;
}
